GHPython offset polysurface created in Grasshopper
Hi, I am trying to offset a brep / polysurface in gh using Python. I am referencing a bunch of curves into gh to manipulate, joining & extruding them up, and trying to create a brep from that by...
View ArticleGetCurveObject & Object Groups
Using Python script. When using: rs.GetCurveObject() How do I know if the user selected an individual curve or a curve that is within a group? If they selected a curve within a group, how do I get the...
View ArticleProblem about Exit() Command doesn't work in specific document
Hello, Recently I’m trying to run auto testing on Rhino, but it occurred some problem about exiting Rhino. I do a really simple work for auto testing: Execute Rhino Open the file Draw a line Exit...
View ArticleGet World Center Point in VBScript
I just want to do something like Rhino.Geometry.Point3d(0,0,0). I need that point for Rhino.RotateObject(), but I can’t figure out how to get it. Frankly, I’m gonna need a vector, too, and I probably...
View ArticleGH python instantiate grasshopper components
I’m working on a little UI to do some math and some modeling using grasshopper python. Putting UI components (valuelist, slider, panel) on the canvas using python has been easy, they live in...
View ArticleUsing special characters in RhinoScript
Hi there, I’m new in scripting with RhinoScript. I want to change the layer of an object (TextDotObject) But the layer I want to use is named “MON>Repères Acier” #France There is an accent in the...
View ArticleCapture Named View without activate?
Recently I modify a bit of my previous script (capture using rect) to capture views with ViewNearCorners. However it was set up by using Active Viewports, meaning I have manually turn on Named Views...
View ArticleCompare 2 first characters of TextDotText
Hi, I’m writting a simple Rhinoscript. I would like to affect a layer (already in the document) to a DotText, based on the 2 first characters of the text inside the Dot… Using the command...
View ArticleInsert at input parameter similar Sort, Merge
Hello to all Is there an example (*.cs file or *.sln) in this field toinsert input parameter indefinitely in the plug-in component?(similar SortList Component)I did not find anythingb in grasshopper3d...
View ArticleIPlane command implementation using python
Hi All, Can anyone tell me in python how I can create several Iplanes (infinite plates) from a selection of (planar) surfaces that I can later reference to split my target surfaces? Thanks in advance!...
View ArticleEto form displaying the key-values from Attribute user text
Hi All, Since i find the SelKeyValue command in Rhino not very efficient when comes to selecting objects with a specific key value combination I am wondering whether a simple Eto dialog can be used...
View ArticleHow to assign data .Params.lnput[i] to Params.Output[i]?
Hello again @Mahdiyar , how to assign data Component.Params.Input[i] to Component. Params.Output[i]? Continue to discussion This c# code for separation dataList by key in branch of tree This should be...
View ArticleCollect layers in new layer?
I want to select a bunch of layers imported from AutoCAD in the layers panel and collect in a new layer called “_acad”… so all the new layers would be “_acad::layer1” "acad::“layer2” and so on… how...
View ArticleAdd Geometry to doc
Hi all, I am writing a C# component that adds curves to the rhino doc using AddCurve(curve, object attribute) method. This works quite well on the model spaces (Perspective, Top, Front, Right, etc) -...
View ArticleCan't remove all curves from a list
What is happening here? I’m trying to remove curves from a list but one curve is still there. There are three curves in total in the layer. 2 posts - 2 participants Read full topic
View ArticleUse pythonscript to wake up other command line programs
Hi the community, I am a newbie to rhino API here and really need some advice. I attempted to use rhino for modeling and then another command-line program for simulation(Radiance Simulation Tool) in...
View ArticleFiguring out a problem concerning: if,else,list and constructing a plane
So what is the case. I have the following rules that I have to follow: And I have made a couple of lines of script. In theory It should work but this is only the theory. My target is that on the point...
View ArticleArgs.Draw Curve(). Top most option (display top)
Hi, I have a question about the display of Args.Draw Curve(). This plugin is a Top most option that I cannot find in the API and add it to my code (this option makes the curve always be displayed on...
View ArticleNew Circle Tangent To A Line or Curve
Using Python Script. What’s the easiest way to create a new circle tangent to an existing line or curve and also be able to select the side of the line / curve that the circle goes on? 2 posts - 2...
View ArticleGetObjects / GetObjectsEx
Using Python Script. When I use GetObjects or GetObjectsEx is there a way to determine if the user selected multiple objects vs the user selecting one object that is a group of objects? If not, is...
View Article